# TODO

## Features
### Implement/Add
- [ ] post_initialize or define hook after initialize in subclasses
- [ ] Custom Encrypter/Decrypter from user (class), which will be using default export/import
- [ ] RSA with OAEP-PSS
- [ ] use C ecies
### Research
- [ ] Base64 -> ASN.1
- [ ] More cryptlibs, ciphers
- [ ] Post-quantum ciphers (C, use FFI)
### Optional
- [ ] Class Options (return hash of options, required only for called class) (not needed, only Izokatu handle hash with options. All other classes has required params)
- [ ] Class Requirer for handling deps pathes
- [ ] Check params (example: padding) for openssl cipher modes. Use specs of openssl

## Useful stuff
### Implement/Add
- [ ] GL CI (run tests and bundler-audit)
- [ ] https://github.com/ruby-prof/ruby-prof
- [ ] https://github.com/tmm1/stackprof
- [ ] https://github.com/ice799/memprof
- [ ] https://github.com/SamSaffron/memory_profiler
### Research
- [ ] traiblazer
- [ ] https://github.com/p0deje/yard-doctest
- [ ] contracts.ruby -> dry-types + dry-validation
