# -*- encoding: utf-8 -*-
# stub: izokatu 0.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "izokatu".freeze
  s.version = "0.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "documentation_uri" => "https://www.rubydoc.info/gems/izokatu", "homepage_uri" => "https://gitlab.com/mongalless/izokatu", "source_code_uri" => "https://gitlab.com/mongalless/izokatu" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["mongalless".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-12-27"
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["README.md".freeze]
  s.homepage = "https://gitlab.com/mongalless/izokatu".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.6".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Ruby library that provides abstact interface for private-key and public-key cryptography using RbNaCl and OpenSSL".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<contracts>.freeze, ["~> 0.14.0"])
    s.add_runtime_dependency(%q<ecies>.freeze, ["~> 0.3.0"])
    s.add_runtime_dependency(%q<openssl>.freeze, ["~> 2.2"])
    s.add_runtime_dependency(%q<rake>.freeze, ["~> 13.0", ">= 13.0.1"])
    s.add_runtime_dependency(%q<rbnacl>.freeze, ["~> 7.1", ">= 7.1.1"])
    s.add_development_dependency(%q<bundler-audit>.freeze, ["~> 0.7.0.1"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.9"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.89.1"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.7", ">= 1.7.1"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 1.43", ">= 1.43.1"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.19.1"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<contracts>.freeze, ["~> 0.14.0"])
    s.add_dependency(%q<ecies>.freeze, ["~> 0.3.0"])
    s.add_dependency(%q<openssl>.freeze, ["~> 2.2"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0", ">= 13.0.1"])
    s.add_dependency(%q<rbnacl>.freeze, ["~> 7.1", ">= 7.1.1"])
    s.add_dependency(%q<bundler-audit>.freeze, ["~> 0.7.0.1"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.9"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.89.1"])
    s.add_dependency(%q<rubocop-performance>.freeze, ["~> 1.7", ">= 1.7.1"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 1.43", ">= 1.43.1"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.19.1"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
